Class | WEBrick::HTTPServlet::ERBHandler
In: | webrick/httpservlet/erbhandler.rb
Parent: | AbstractServlet

### Methods

do_GET do_POST new

### Public Class methods

new(server, name)

[Source]

    # File webrick/httpservlet/erbhandler.rb, line 19
          def initialize(server, name)
            super
            @script_filename = name
          end

### Public Instance methods

do_GET(req, res)

[Source]

    # File webrick/httpservlet/erbhandler.rb, line 24
          def do_GET(req, res)
            unless defined?(ERB)
              @logger.warn "#{self.class}: ERB not defined."
              raise HTTPStatus::Forbidden, "ERBHandler cannot work."
            end
            begin
              data = open(@script_filename){|io| io.read }
              res.body = evaluate(ERB.new(data), req, res)
              res['content-type'] =
                HTTPUtils::mime_type(@script_filename, @config[:MimeTypes])
            rescue StandardError => ex
              raise
            rescue Exception => ex
              @logger.error(ex)
              raise HTTPStatus::InternalServerError, ex.message
            end
          end

do_POST(req, res)

Alias for do_GET

[Validate]